#!/bin/bash

AT_PORT=`ls /dev/ttyACM* | awk 'NR==1{print}'`


check_echo_env(){
	if [ `whoami` != "root" ];then
	    echo "only root can run me"
	    exit 1
	fi
	
	if [ -z $AT_PORT ];then
			echo "device not found"
			exit 1
	fi
	
	fuser $AT_PORT >> /dev/null 2>&1
	if [ $? -eq 0 ];then
		echo $AT_PORT" Port occupied"
		echo "use echo -e >"
	else
		echo $AT_PORT" ready"
	fi
}

check_open_port_env(){
	if [ `whoami` != "root" ];then
	    echo "only root can run me"
	    exit 1
	fi
	
	if [ -z $AT_PORT ];then
			echo "device not found"
			exit 1
	fi
	
#	fuser $AT_PORT -k >> /dev/null 2>&1
#	if [ $? -eq 0 ];then
#		echo $AT_PORT" Port occupied"
#		echo "run fail"
#		exit 0
#	else
#		echo $AT_PORT" ready"
#	fi
}


check_open_port_env
echo "wait ..."
fuser $AT_PORT -k >> /dev/null 2>&1
./bin/ccom -d at+xlog=4 -p $AT_PORT >> /dev/null
test_count=0
while true
do
	sleep 1
	let test_count++
	#echo "count ${test_count}"
	if [ $test_count -gt 10 ]
        then
            echo "trigger fail"          	
            exit 1
        fi
	DUMP_ID=`lsusb |grep 1519:f000 | awk '{print $6}' | awk -F':' '{print $2}'`
	if [ -n "$DUMP_ID" ]
	then
		echo 1&> /dev/null
	else
		continue
	fi
	if [ $DUMP_ID = "f000" ]
	then
		echo "manual trigger coredump OK!"
		exit 0
	fi
done

