#!/bin/bash 

#logging file
#REBOOT_LOG_FILE="/var/log/reboot_count"

#/usr/local/fibocomtools/Tool/CAPTURE_TOOL
REBOOT_LOG_FILE="/mnt/stateful_partition/reboot_count"
CURR_REBOOT_COUNT_FILE="/tmp/current_reboot_count"
MAX_REBOOT_COUNT_FILE="/tmp/max_reboot_count"
MAX_REBOOT_COUNT=`cat /var/log/max_reboot_count || echo 5000`
SLEEP_TIME_S=`cat /var/log/power_on_time || echo 10`
reboot_type=`cat /var/log/reboot_type || echo ec`

BinaryPath="/mnt/stateful_partition/packages/tools/bin"
board_name=`mosys platform name | tr '[:upper:]' '[:lower:]'`
board_ectool="ectool_$board_name"
ectool_filename=$BinaryPath/$board_ectool
ectool_filename="ectool"

#max count
#MAX_REBOOT_COUNT=1000
REBOOT_COUNT=0

#sleep time
#SLEEP_TIME_S=120

REBOOT_COUNT=`wc -l ${REBOOT_LOG_FILE} | awk 'END{print $1}'`
#echo ${REBOOT_COUNT} > ${CURR_REBOOT_COUNT_FILE}
echo ${MAX_REBOOT_COUNT} > ${MAX_REBOOT_COUNT_FILE}

REBOOT_COUNT=`cat ${CURR_REBOOT_COUNT_FILE}`
MAX_REBOOT_COUNT=`cat ${MAX_REBOOT_COUNT_FILE}`

ret=0
ModemId=2cb7:01a0
DiagPort=/dev/ttyUSB2
check_modem(){
	lsusb | grep "2cb7:01a0" > /dev/null 2>&1
	if [ $? == 0 ];then
		ret=1
	fi
	lsusb | grep "2cb7:01a2" > /dev/null 2>&1
	if [ $? == 0 ];then
	  ret=2
	  ModemId=2cb7:01a2
	  DiagPort=/dev/ttyUSB2
	fi
}
wait_modem(){
  res=0
  while ((res==0))
  do
    lsusb | grep "2cb7" > /dev/null 2>&1
    if [ $? == 0 ];then
      res=1
    else
      sleep 1
    fi
  done
}

function exit_test() {
    #aplay /mnt/stateful_partition/GL850/sound.wav
	aplay /usr/local/fibocomtools/Tool/CAPTURE_TOOL/COMMON/sound.wav
    iotools mmio_write32 0xFDAE0540 0x40000200
	sleep 240
	kill -SIGINT $capture_tool_pid
    #kill -SIGINT $open_trace_pid
    exit 0
}

if [[ ${MAX_REBOOT_COUNT} -gt ${REBOOT_COUNT} ]] ; then
    #chmod +x /mnt/stateful_partition/GL850/bin/*
	chmod +x /usr/local/fibocomtools/Tool/CAPTURE_TOOL/COMMON/bin/*
	chmod +x /usr/local/fibocomtools/Tool/CAPTURE_TOOL/GL850/bin/*
	chmod +x /usr/local/fibocomtools/Tool/CAPTURE_TOOL/NL668/bin/*
    #mount -o remount,exec /mnt/stateful_partition  #????GYF
	mount -o remount,exec /usr/local/fibocomtools/Tool/CAPTURE_TOOL
    #cd /mnt/stateful_partition/GL850/
	aplay /usr/local/fibocomtools/Tool/CAPTURE_TOOL/COMMON/sound.wav
	# wait modem appear
	wait_modem
	check_modem
	if [ $ret == 0 ];then
		cd /usr/local/fibocomtools/Tool/CAPTURE_TOOL/GL850/
		#/bin/bash ./stop_CaptureLog_Chrome.sh
		#/bin/bash ./CaptureLog_Chrome.sh 512 &
		# Trace open should open by manually
		# ./l850-opentrace.sh
		./stop_CaptureLog_Chrome.sh
		./CaptureLog_Chrome.sh -s 512 &
	else
	  if [ $ret == 1 ];then
	    cd /usr/local/fibocomtools/Tool/CAPTURE_TOOL/COMMON/bin
		./ccom -p /dev/ttyUSB1 -d at+disk=0,0,0
	  elif [ $ret == 2 ];then
	    cd /usr/local/fibocomtools/Tool/CAPTURE_TOOL/COMMON/bin
		./ccom -p /dev/ttyUSB1 -d at+gtdiagen=1,1
	  fi
	  cd /usr/local/fibocomtools/Tool/CAPTURE_TOOL/NL668/
		./stop_Capture_Chrome.sh
		./CaptureLog_Chrome.sh $ModemId $DiagPort -s 512 &
	fi
    #aplay /mnt/stateful_partition/GL850/sound.wav
    #aplay /mnt/stateful_partition/GL850/sound.wav
	aplay /usr/local/fibocomtools/Tool/CAPTURE_TOOL/COMMON/sound.wav
	aplay /usr/local/fibocomtools/Tool/CAPTURE_TOOL/COMMON/sound.wav
    sync;sync;
fi
