# Copyright 2020 Fibocom Wireless Inc. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.
#!/bin/bash
seclevel="3"
   while true
   do
      VENDORID=`lsusb |grep 8087:095a | awk '{print $6}' | awk -F':' '{print $2}'`
      if [ -n "$VENDORID" ]
      then
         echo "LTE device is exit $VENDORID"
         echo 1&> /dev/null
         break
      else
         echo "LTE device no exit, please wait 3 sec and will check again"
         sleep 3
         continue
      fi
   done

sleep 2

	
    AT_PORT=`ls /dev/ttyACM* | awk 'NR==1{print}'`
    echo "####### $AT_PORT ########" 
   ./ccom -d "at@sec:status_info()" -p $AT_PORT > secfile.txt
    level=`grep "AT< access_level" secfile.txt |cut -d = -f 2 |cut -d ' ' -f 2`
    echo "$level"
    if [ $seclevel -eq $level ];then
     echo "have unlock"
    else
    ./ccom -d "at@sec:code_verify(3,{0x30,0x30,0x34,0x39,0x39,0x39,0x30,0x31,0x30,0x36,0x34,0x39,0x39,0x39,0x33})" -p $AT_PORT  > /dev/null 2>&1
	if [ $? -eq 0 ];then
		echo "ccom OK "
	else
		echo "skip ccom use echo -e"
		echo -e "at@sec:code_verify(3,{0x30,0x30,0x34,0x39,0x39,0x39,0x30,0x31,0x30,0x36,0x34,0x39,0x39,0x39,0x33})\r\n" > $AT_PORT
	fi	

      sleep 2
    ./ccom -d "at+cfun=1,1" -p $AT_PORT > /dev/null 2>&1
	if [ $? -eq 0 ];then
		echo "ccom OK "
	else
		echo "skip ccom use echo -e"
		echo -e "at+cfun=1,1\r\n" > $AT_PORT
	fi
     fi	
     rm -rf secfile.txt
     sleep 15
     AT_PORT=`ls /dev/ttyACM* | awk 'NR==1{print}'`
    ./ccom -d "at@usbmwtestfw:usb_profile_set_nvm_configuration(USBPOW_ID_DEFAULT,\"MBIM;3ACM\",\"NO_SS\",0x2cb7,\"0000\",0x0007,\"0000\")" -p $AT_PORT  > /dev/null 2>&1
	if [ $? -eq 0 ];then
		echo "ccom OK "
	else
		echo "skip ccom use echo -e"
		echo -e "at@usbmwtestfw:usb_profile_set_nvm_configuration(USBPOW_ID_DEFAULT,\"MBIM;3ACM\",\"NO_SS\",0x2cb7,\"0000\",0x0007,\"0000\")\r\n" > $AT_PORT
	fi
sleep 2
    ./ccom -d "at+cfun=1,1" -p $AT_PORT > /dev/null 2>&1
	if [ $? -eq 0 ];then
		echo "ccom OK "
	else
		echo "skip ccom use echo -e"
		echo -e "at+cfun=1,1\r\n" > $AT_PORT
	fi
   while true
   do
      VENDORID=`lsusb |grep 2cb7:0007 | awk '{print $6}' | awk -F':' '{print $2}'`
      if [ -n "$VENDORID" ]
      then
         echo "LTE device is exit $VENDORID"
         echo 1&> /dev/null
         break
      else
         echo "LTE device no exit, please wait 3 sec and will check again"
         sleep 3
         continue
      fi
   done
sleep 1
ls -al /dev/ttyACM*
sleep 5
lsusb
./ccom -d  "at+cops=0" -p $AT_PORT > /dev/null 2>&1
	if [ $? -eq 0 ];then
		echo "ccom OK "
	else
		echo "skip ccom use echo -e"
		echo -e "at+cops=0\r\n" > $AT_PORT
	fi
