# Copyright 2020 Fibocom Wireless Inc All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.
#!/bin/bash

   while true
   do
      VENDORID=`lsusb |grep 2cb7:0007 | awk '{print $6}' | awk -F':' '{print $2}'`
      if [ -n "$VENDORID" ]
      then
         echo "LTE device is exit $VENDORID"
         echo 1&> /dev/null
         break
      else
         echo "LTE device no exit, please wait 3 sec and will check again"
         sleep 3
         continue
      fi
   done

sleep 2

	
    AT_PORT=`ls /dev/ttyACM* | awk 'NR==1{print}'`
    echo "####### $AT_PORT ########" 

    ./ccom -d "at+gtusbmode=7" -p $AT_PORT  > /dev/null 2>&1
	if [ $? -eq 0 ];then
		echo "ccom OK "
	else
		echo "skip ccom use echo -e"
		echo -e "at+gtusbmode=7\r\n" > $AT_PORT
	fi	

      sleep 2
	    ./ccom -d "at+cfun=15" -p $AT_PORT  > /dev/null 2>&1
	if [ $? -eq 0 ];then
		echo "ccom OK "
	else
		echo "skip ccom use echo -e"
		echo -e "at+cfun=15\r\n" > $AT_PORT
	fi	

   while true
   do
      VENDORID=`lsusb |grep 2cb7:0007 | awk '{print $6}' | awk -F':' '{print $2}'`
      if [ -n "$VENDORID" ]
      then
         echo "LTE device is exit $VENDORID"
         echo 1&> /dev/null
         break
      else
         echo "LTE device no exit, please wait 3 sec and will check again"
         sleep 3
         continue
      fi
   done

    AT_PORT=`ls /dev/ttyACM* | awk 'NR==1{print}'`
    echo "####### $AT_PORT ########" 
       sleep 2
	    ./ccom -d "at@nvm:fix_cat_fcclock.fcclock_mode=0" -p $AT_PORT  > /dev/null 2>&1
	if [ $? -eq 0 ];then
		echo "ccom OK "
	else
		echo "skip ccom use echo -e"
		echo -e "at@nvm:fix_cat_fcclock.fcclock_mode=0\r\n" > $AT_PORT
	fi	
	
       sleep 2
	    ./ccom -d "at@store_nvm(fix_cat_fcclock)" -p $AT_PORT  > /dev/null 2>&1
	if [ $? -eq 0 ];then
		echo "ccom OK "
	else
		echo "skip ccom use echo -e"
		echo -e "at@store_nvm(fix_cat_fcclock)\r\n" > $AT_PORT
	fi	
 