# Copyright 2020 Fibocom Wireless Inc. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.
#!/bin/bash

echo "Start doing FIBOCOM's tools initialization before reboot ChromeOS"
sleep 2
/usr/libexec/debugd/helpers/dev_features_rootfs_verification
cd /usr/local/fibocomtools/
tar -cvf /usr/local/fibocomtools/varlog.backup.tar.gz /var/log/ > /dev/null
rm -rf /var/log/*
chmod a+x -R * 
echo "ChromeOS will reboot after 3 seconds"
sleep 3
reboot
