# Copyright 2021 Fibocom Wireless Inc. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.

import os
import glob
import sys


def get_fw_type(name):
    temp = glob.glob(name)
    return temp


fw = get_fw_type("*.tar.bz2")
if len(fw) is not 0:
    print(fw)
else:
    fw = get_fw_type("*.tbz2")

if len(fw) is 0:
    print("Can't find firmware package to replace, please copy fw to /use/local/fibocomtools/")
    sys.exit()

cmd = 'rm -rf /opt/google/modemfwd-firmware'
cmd1 = 'cp -r '
cmd2 = 'tar -jxvf '
path = ' /opt/google'
package = 'modemfwd-firmware'
os.system(cmd)
# delete the old firmware
os.system(cmd)

#unzip the firmware package
command1 = f'{cmd2}{fw[0]}'
os.system(command1)

#copy firmware to /opt/google
command2 = f'{cmd1}{package}{path}'
os.system(command2)
