# Copyright 2020 Fibocom Wireless Inc. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.
#!/bin/bash
   while true
   do
      VENDORID=`lsusb |grep 8087:095a | awk '{print $6}' | awk -F':' '{print $2}'`
      if [ -n "$VENDORID" ]
      then
         echo "LTE device is exit $VENDORID"
         echo 1&> /dev/null
         break
      else
         echo "LTE device no exit, please wait 3 sec and will check again"
         sleep 3
         continue
      fi
   done

sleep 2

AT_PORT=`ls /dev/ttyACM* | awk 'NR==1{print}'`
echo "####### $AT_PORT ########" 
./pycom.py "at@usbmwtestfw:usb_profile_set_nvm_configuration(USBPOW_ID_DEFAULT,\"MBIM;3ACM\",\"NO_SS\",0x2cb7,\"0000\",0x0007,\"0000\")" $AT_PORT

sleep 2
./pycom.py "at+cfun=1,1"  $AT_PORT
   while true
   do
      VENDORID=`lsusb |grep 2cb7:0007 | awk '{print $6}' | awk -F':' '{print $2}'`
      if [ -n "$VENDORID" ]
      then
         echo "LTE device is exit $VENDORID"
         echo 1&> /dev/null
         break
      else
         echo "LTE device no exit, please wait 3 sec and will check again"
         sleep 3
         continue
      fi
   done
sleep 1
ls -al /dev/ttyACM*
sleep 1
lsusb
./pycom.py "at+cops=0"  $AT_PORT
