#/bin/bash

CURRENT_PATH=${PWD}

num=0

echo "FW in current folder:"
for get_fw_name in `ls -1 *_NAND.fls`
do
	FW_LIST[$num]="$get_fw_name"
	echo "${num}. ${get_fw_name}"
	num=`expr $num + 1`
done
read -p "Please choose FW to sign: " i

SWSTRING=${FW_LIST[i]%_NAND*}



listOfcustomer=(HP DELL THINKPAD NONE ALL)
num=0

for customer in ${listOfcustomer[@]}; do
	CUSTOMER_LIST[$num]="$customer"
	echo "${num}. ${customer}"
	num=`expr $num + 1`
done
read -p "Please choose CUSTOMER to update SSID: " j


if [ ! -d $SWSTRING ];then
	mkdir $SWSTRING
else
	rm ${SWSTRING}/*
fi

cd update_pid_vid_and_sign

rm output/${SWSTRING}*



if [ "${CUSTOMER_LIST[j]}" = "NONE" ];then

	./Sign_only.sh $SWSTRING
	
elif [ "${CUSTOMER_LIST[j]}" = "ALL" ];then
	for customer in ${listOfcustomer[@]}; do
		if [ "${customer}" != "ALL" ]&&[ "${customer}" != "NONE" ];then
			./Sign_with_vid_pid_update.sh $SWSTRING ${customer}
			./update_vid_pid.sh $SWSTRING ${customer}
		fi
	done

else
	./Sign_with_vid_pid_update.sh $SWSTRING ${CUSTOMER_LIST[j]}
	./update_vid_pid.sh $SWSTRING ${CUSTOMER_LIST[j]}
	
fi

mv output/${SWSTRING}* ${CURRENT_PATH}/${SWSTRING}
cp ${CURRENT_PATH}/${SWSTRING}_NAND.fls ${CURRENT_PATH}/${SWSTRING}
rm output/ -rf

echo "cp ${SWSTRING}* ${CURRENT_PATH}/${SWSTRING} success!"

cd /${CURRENT_PATH}